import { SchemaClass } from '@ngtools/json-schema';
import { NgPackageConfig } from '../../ng-package.schema';
/** POVO (plain-old value object :-)) of the Angular package being built. */
export declare class NgPackage {
    /** Unmodified contents of the project's `package.json` file. */
    packageJson: any;
    /** Unmodified contents of the project's `ng-package.json` file. */
    ngPackageJson: NgPackageConfig;
    private basePath;
    private $schema;
    constructor(
        /** Unmodified contents of the project's `package.json` file. */
        packageJson: any, 
        /** Unmodified contents of the project's `ng-package.json` file. */
        ngPackageJson: NgPackageConfig, basePath: string, $schema: SchemaClass<NgPackageConfig>);
    readonly dest: string;
    readonly src: string;
    readonly workingDirectory: string;
    readonly flatModuleFileName: string;
    readonly libExternals: Object;
    readonly entryFile: string;
    /** Package meta information */
    readonly meta: {
        name: string;
        scope?: string;
    };
    /** Build artefacts */
    readonly artefacts: {
        main: string;
        module: string;
        es2015: string;
        typings: string;
    };
}
