"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var tsc_wrapped_1 = require("@angular/tsc-wrapped");
var json_1 = require("../util/json");
var log_1 = require("../util/log");
exports.prepareTsConfig = function (ngPkg, outFile) {
    return json_1.readJson(path.resolve(__dirname, '..', 'conf', 'tsconfig.ngc.json'))
        .then(function (tsConfig) {
        tsConfig['angularCompilerOptions']['flatModuleId'] = ngPkg.packageJson.name;
        tsConfig['angularCompilerOptions']['flatModuleOutFile'] = ngPkg.flatModuleFileName + ".js";
        tsConfig['files'] = [ngPkg.entryFile];
        return json_1.writeJson(tsConfig, outFile)
            .then(function () { return Promise.resolve(outFile); });
    });
};
/**
 * Compiles typescript sources with 'ngc'.
 *
 * @param basePath
 */
exports.ngc = function (tsconfig, basePath) {
    log_1.debug("ngc " + tsconfig + ", { basePath: " + basePath + " })");
    return tsc_wrapped_1.main(tsconfig, { basePath: basePath })
        .then(function () { return json_1.readJson(tsconfig)
        .then(function (v) { return basePath + "/" + v.compilerOptions.outDir + "/" + v.angularCompilerOptions.flatModuleOutFile; }); });
};
//# sourceMappingURL=ngc.js.map