import { NgPackage } from '../model/ng-package';
/**
 * Reads an Angular package definition file from 'ng-package.json'
 *
 * @param file path pointing to `ng-package.json` file
 */
export declare const readPackage: (file: string) => Promise<NgPackage>;
/**
 * Creates a `package.json` file by reading one from the `src` folder, adding additional
 * properties, and writing to to `dest` folder
 *
 * @param src Source folder
 * @param dest Destination folder
 * @param additionalProperties These properties are added to the `package.json`
 */
export declare const createPackage: (src: string, dest: string, additionalProperties?: {}) => Promise<any>;
