"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sorcery = require('sorcery');
var log_1 = require("../util/log");
/**
 * Re-maps the source `.map` file for the given `sourceFile`. This keeps source maps intact over
 * a series of transpilations!
 *
 * @param sourceFile Source file
 */
exports.remapSourcemap = function (sourceFile, base) {
    log_1.debug("re-mapping sources for " + sourceFile);
    var opts = {
        inline: false,
        includeContent: true,
    };
    if (base) {
        opts.base = base;
    }
    // Once sorcery loaded the chain of sourcemaps, the new sourcemap will be written asynchronously.
    return sorcery.load(sourceFile)
        .then(function (chain) { return chain.write(opts); });
};
//# sourceMappingURL=sorcery.js.map