"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var path = require("path");
var read = require('read-file');
exports.readFile = function (file) {
    return new Promise(function (resolve, reject) {
        read(file, { encoding: 'utf8', normalize: true }, function (err, buffer) {
            if (err) {
                reject(err);
            }
            resolve(buffer.toString());
        });
    });
};
exports.writeFile = function (file, content) {
    return new Promise(function (resolve, reject) {
        fs.writeFile(file, content, function (err) {
            if (err) {
                reject(err);
            }
            resolve();
        });
    });
};
exports.findFromDirectory = function (dir, file, cb) {
    var fileName = path.resolve(dir, file);
    fs.access(fileName, fs.constants.R_OK, function (err) {
        if (err) {
            exports.findFromDirectory(path.resolve(dir, '..'), file, cb);
        }
        else {
            cb(fileName);
        }
    });
};
//# sourceMappingURL=fs.js.map