/**
 * Reads a JSON file.
 *
 * @param file Source file name.
 */
export declare const readJson: (file: string) => Promise<any>;
/**
 * Writes a JSON file.
 *
 * @param object Object literal that is stringified.
 * @param file Target file name.
 */
export declare const writeJson: (object: any, file: string) => Promise<any>;
/**
 * Modifies a set of JSON files by invoking `modifyFn`
 *
 * @param globPattern A glob pattern matching several files. Example: '**\/*.js.map'
 * @param modifyFn A callback function that tajes a JSON-parsed input and should return an output
 *                  that will be JSON-stringified
 */
export declare const modifyJsonFiles: (globPattern: string, modifyFn: (jsonObj: any) => any) => Promise<void>;
