"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chalk = require('chalk');
exports.error = function (err) {
    if (err instanceof Error) {
        console.log('\n' + chalk.red('BUILD ERROR'));
        console.log(chalk.red(err.message));
        console.log(chalk.red(err.stack) + '\n');
    }
    else {
        console.log(chalk.red(err));
    }
};
exports.warn = function (msg) {
    console.log(chalk.yellow(msg));
};
exports.success = function (msg) {
    console.log(chalk.green(msg));
};
exports.info = function (msg) {
    console.log(chalk.blue(msg));
};
exports.debug = function (msg) {
    if (process.env.DEBUG) {
        console.log(chalk.inverse.cyan("[debug] " + msg));
    }
};
//# sourceMappingURL=log.js.map